/**
   This program "consumes" integer values from stdin.
   The rate of consumption is set by a command-line argument.

   Pipe the output from Producer.java into the input of this program.
*/
import java.util.Scanner;

public class Consumer
{
   public static void main(String[] args)
   {
      Scanner in = new Scanner(System.in);

      int milliSeconds = 500;
      if (args.length > 0)
      {
         milliSeconds = Integer.parseInt(args[0]);
      }
      try
      {
         while(in.hasNextInt())
         {
            int counter = in.nextInt();
            System.out.println("\t"+counter);
            Thread.sleep(milliSeconds);
         }
      }
      catch (InterruptedException e)
      {
      }
   }
}
