/*
   This program "consumes" integer values from stdin.
   The rate of consumption is set by a command-line argument.

   Pipe the output from producer into the input of this program.
*/
#include <stdio.h>
#include <windows.h>   // Winddows Sleep()
//#include <unistd.h>  // Posix sleep()

int main(int argc, char **argv)
{
   int milliSeconds = 500;
   if (argc > 1)
   {
      milliSeconds = atoi(argv[1]);
   }
   int counter;
   while(scanf("%d", &counter) != EOF)
   {
      printf("\t%d\n", counter);
      Sleep(milliSeconds);
   }
   return 0;
}
